<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of dc-2-13-dcLegacyPatch, a plugin for Dotclear 2.
#
# Copyright (c) Franck Paul and contributors
# carnet.franck.paul@gmail.com
#
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_CONTEXT_ADMIN')) {return;}

// Add behaviour callback for post
$core->addBehavior('adminPostEditor', array('dc_2_13_dcLegacyPatch', 'adminPostEditor'));
// Add behaviour callback for page
$core->addBehavior('adminPostEditor', array('dc_2_13_dcLegacyPatch', 'adminPostEditor'));

class dc_2_13_dcLegacyPatch
{
    public static function adminPostEditor($editor = '', $context = '', array $tags = array(), $syntax = '')
    {
        if ($editor != 'dcLegacyEditor') {
            return;
        }

        return dcPage::jsLoad(urldecode(dcPage::getPF('dc-2-13-dcLegacyPatch/patch.js')));
    }
}
